<template>
  <div>
    <el-button type="primary" size="mini" @click="submit">提 交</el-button>
  </div>
</template>

<script>
export default {
  name: '',
  data() {
    return {
    };
  },
  computed:{
  },
  watch:{
  },
  methods: {
    submit () {
      this.$confirm('确定提交当前返退单吗?','提示',{
        confirmButtonText:'确定',
        cancelButtonText:'取消',
        type:'warning'
      }).then(async () => {
        let res = await this.$api.requested({
          "id": 20230105161603,
          "version":1,
          "content": {
              "sa_aftersalesmagid":this.$route.query.id
          }
        })
        this.tool.showMessage(res,() => {
          this.$emit('onSuccess')
        })
      })
    }
  },
};
</script>

<style scoped>

</style>
